=== demo/Config/Makefile ===
synopsis	:= ../../bin/synopsis -c config.py

all:	 	html employee.xml

employee.syn:	employee.cc
		$(synopsis) -Wc,parser=C++,linker=Linker -Wp,-m -o $@ $<
employee.xml:	employee.syn
		$(synopsis) -Wc,formatter=DocBook -o $@ $<
html:		employee.syn
		$(synopsis) -Wc,formatter=Synopsis -o Synopsis $<
		$(synopsis) -Wc,formatter=Doxygen -o Doxygen $<

clean:
		rm -rf *~ *.html *.syn employee Employee *.pyc *.pyo

distclean:	clean
