## synopsis 0.9

=== share/doc/Synopsis/examples/Makefile ===
--- 
+++ 
@@ -7,7 +7,11 @@
 
 SHELL	:= /bin/sh
 
-subdirs	:= Paths/doc1 Paths/doc2 Paths/doc3 Paths/doc4
+prefix	:=
+
+subdirs	:= $(filter-out Paths/src, $(wildcard Paths/*))
+subdirs += COS
+subdirs += hybrid
 
 action	:= all
 
@@ -17,7 +21,14 @@
 
 $(subdirs):
 	@echo making $(action) in $@
-	$(MAKE) -k -C $@ $(action)
+	$(MAKE) -k -C $@ $(action) prefix=$(prefix)/$@
+
+install-html:
+ifdef prefix
+	mkdir -p $(prefix)
+	cp index.html $(prefix)
+endif
+	$(MAKE) action="install-html" prefix=$(prefix)
 
 clean:
 	$(MAKE) action="clean"
@@ -25,3 +36,20 @@
 distclean:
 	$(MAKE) action="distclean"
 
+install-src:
+ifdef prefix
+	mkdir -p $(prefix)
+	for file in $(shell find . -path '*/.svn' -prune -o \
+          -name '*.syn' -prune -o \
+          -name '*.xref' -prune -o \
+          -name 'xref_db' -prune -o \
+          -name '*.html' -prune -o \
+          -name '*.toc' -prune -o \
+          -name '*.css' -prune -o \
+          -name '*.png' -prune -o \
+          -name '*.ps' -prune -o \
+          -type f -a -print); do \
+          mkdir -p $(prefix)/`dirname $$file`; \
+          cp -p $$file $(prefix)/$$file; \
+        done
+endif
