=== debian/changelog ===
synopsis (0.12-10) unstable; urgency=medium

  * Team upload.

  [ Julien Cristau ]
  * Rename library packages for g++5 ABI transition. (Closes: #791296)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 24 Aug 2015 22:19:49 +0200

synopsis (0.12-9) unstable; urgency=low

  * Team upload.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Piotr Ożarowski ]
  * Convert from dh_pysupport to dh_python2 (closes: #786064)
  * Convert debian/patches from dpatch to quilt
    - change source format to 3.0 (quilt)

 -- Jakub Wilk <jwilk@debian.org>  Sun, 05 May 2013 18:05:51 +0200

synopsis (0.12-8) unstable; urgency=low

  * Team upload.
  * Run setup.py manually, rather then via dh_auto_*, in order to avoid FTBFS
    in non-minimal chroots (closes: #644059). Thanks to Julien Cristau for the
    bug report.
  * Make build-arch and build-indep targets (not only build) depend on
    patch-stamp.
  * Install libSynopsis.so.0 symlink (closes: #647541).

 -- Jakub Wilk <jwilk@debian.org>  Sun, 27 Nov 2011 12:35:12 +0100

synopsis (0.12-7) unstable; urgency=low

  * Team upload.
  * Fix FTBFS with GCC 4.5 (closes: #565051). Thanks to Matthias Klose for the
    bug report and the patch.
  * Bump standards version to 3.9.2 (no changes needed).
  * Drop preinst script to remove python-central leftovers; not needed
    anymore.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 09 Apr 2011 20:23:03 +0200

synopsis (0.12-6) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/patches/10_bts558996_FTBFS_hppa_invalid_initializer.dpatch
    - Fix a FTBFS on HTTP due to an "invalid initializer"; thanks to dann
      frazier for the report and to Jakub Wilk for the patch; Closes: #558996
  * debian/patches/20_bts576225_FTBFS_sparc_undefined_reference.dpatch
    - Fix a FTBFS on sparc due to "undefined reference"; thanks to Jakub Wilk
      for the report and patch; Closes: #576225
  * debian/rules
    - remove additional files/paths, so the package can be built twice in a row;
      thanks to Jakub Wilk for the report; Closes: #576222

 -- Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>  Thu, 29 Apr 2010 13:41:49 +0200

synopsis (0.12-5) unstable; urgency=low

  * debian/control
    - Bump Standards-Version to 3.8.4. No changes needed.
    - Added libatomic-ops-dev to Build-Depends (Closes: #555539, #558996).
    - Changed Maintainers to PAPT.
    - Changed Uploaders to Carl Chenet. 

 -- Carl Chenet <chaica@ohmytux.com>  Mon, 22 Mar 2010 11:32:23 +0100

synopsis (0.12-4) unstable; urgency=low

  * debian/control
    - Using dh7 (Closes: #547866)
    - Bump Standards-Version to 3.8.3
    - Set Maintainer to Carl Chenet <chaica@ohmytux.com> (Closes: #491017)
    - Add Vcs-Browser and Vcs-Svn fields.
    - Add ${Misc:Depends} because of debhelper.
    - Added Homepage field for the source package.
    - Removed Suggest, Conflict outdated fields.
    - Small typo correction on short description fields.
  * debian/rules
    - Using a tiny.rules and overrides
    - Remove the hardcoded python version.
    - Using private space (/usr/lib/synopsis)
  * *.install
    - renaming paths according to new private space
  * debian/copyright
    - Fixed path to license: LGPL to LGPL-2.1
  * debian/synopsis-idl.copyright
    - - Fixed path to license: GPL to GPL-2
  * debian/synopsis.preinst
    - Use maintainer script to remove pycentral leftovers.
  * Added README.source for dpatch

 -- Carl Chenet <chaica@ohmytux.com>  Sat, 17 Oct 2009 00:58:27 +0200

synopsis (0.12-3) unstable; urgency=low

  * QA upload.
  * Only install libSynopsis.so.0.12 to /usr/lib/ not the symlink to avoid
    conflict with other library versions (Closes: #526837)
  * Bump Standards-Version to 3.8.2.

 -- Chris Lamb <lamby@debian.org>  Mon, 27 Jul 2009 11:53:28 +0200

synopsis (0.12-2) unstable; urgency=low

  * QA upload.
  * Should have gone to unstable.

 -- Barry deFreese <bdefreese@debian.org>  Wed, 06 May 2009 14:22:41 -0400

synopsis (0.12-1) experimental; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Acknowledge NMUs.
  * New upstream release. (Closes: #471379).
    + Use Yann's experimental packaging.
    + Uses proper include for gcc-4.4. (Closes: #505120).
  * Rename libraries to 0.12.
  * Update obsolete xutils build-dep to xutils-dev.
  * Remove unneeded maintainer scripts.
  * Add watch file.
  * Bump compat to 5 to match debhelper.
  * Bump Standards Version to 3.8.1.

 -- Barry deFreese <bdefreese@debian.org>  Wed, 29 Apr 2009 21:41:20 -0400

synopsis (0.11~svn1976-0.1) experimental; urgency=low

  * NMU again.
  * New snapshot from upstream tarball:
    * Support for the __asm syntax, finxing ia64 FTBFS.
    * More fixes for partial template specialization.
  * Dropped 02_ignore-cache.dpatch, integrated upstream, and updated
    debian/rules to reflect the upstream namechange to SYNOPSIS_NO_CACHE.
  * Added flex to build deps.
  * Don't remove the shipped doc, and don't attempt to rebuild them for
    now either, since the rebuilt version is not the one installed.

 -- Yann Dirson <dirson@debian.org>  Tue, 29 Apr 2008 01:24:20 +0200

synopsis (0.10-0.4) experimental; urgency=low

  * NMU polish again.
  * Fixed inverted logic in 02_ignore-cache.dpatch (Closes: #476566).
  * Replace patch 01_1960 with 01_r1966 to get latest upstream fixes,
    notably handling of partial specialization of system templates.

 -- Yann Dirson <dirson@debian.org>  Tue, 22 Apr 2008 22:00:25 +0200

synopsis (0.10-0.3) experimental; urgency=low

  * NMU polish.
  * Add a patch to allow using a SYNOPSIS_IGNORE_CACHE envvar to prevent
    the use and write of the cache in ~/.synopsis/, so the build can be
    done on buildd's (Closes: #476566).
  * Rebuild with python 2.5, remove hardcoded references to 2.4 in debian/.
  * Use debian/compat, not DH_COMPAT in debian/rules (lintian).
  * Updated FSF address in copyright files (lintian).

