=== debian/control ===
Source: synopsis
Section: devel
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Carl Chenet <chaica@ohmytux.com>
Build-Depends: debhelper (>= 7.0.50~), dh-python, python-dev, python, xutils-dev, libgc-dev, pkg-config, graphviz, bison, flex, libatomic-ops-dev
XS-Python-Version: all
Standards-Version: 3.9.2
Homepage: http://synopsis.fresco.org/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/synopsis/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/synopsis/trunk/

Package: synopsis
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, cpp, graphviz, gsfonts
Description: source-code Introspection Tool
 Synopsis is a multi-language source code introspection tool that
 provides a variety of representations for the parsed code to enable
 further processing such as documentation extraction, reverse
 engineering, and source-to-source translation. 
 .
 Synopsis provides a framework of C++ and Python APIs to access these
 representations and allows Processor objects to be defined and
 composed into processing pipelines, making this framework very
 flexible and extensible. 

Package: synopsis-idl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, synopsis (= ${binary:Version})
Description: IDL parser for synopsis
 Synopsis is a multi-language source code introspection tool that
 provides a variety of representations for the parsed code to enable
 further processing such as documentation extraction, reverse
 engineering, and source-to-source translation. 
 .
 Synopsis provides a framework of C++ and Python APIs to access these
 representations and allows Processor objects to be defined and
 composed into processing pipelines, making this framework very
 flexible and extensible. 
 .
 This package contains the IDL parser.

Package: synopsis-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for synopsis
 Synopsis is a multi-language source code introspection tool that
 provides a variety of representations for the parsed code to enable
 further processing such as documentation extraction, reverse
 engineering, and source-to-source translation. 
 .
 Synopsis provides a framework of C++ and Python APIs to access these
 representations and allows Processor objects to be defined and 
 composed into processing pipelines, making this framework very
 flexible and extensible. 
 .
 This package contains the Synopsis Developer's Guide and the 
 Synopsis Tutorial.

Package: libsynopsis0.12v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libsynopsis0.12
Replaces: libsynopsis0.12
Description: runtime library for Synopsis
 Synopsis is a multi-language source code introspection tool that
 provides a variety of representations for the parsed code to enable
 further processing such as documentation extraction, reverse
 engineering, and source-to-source translation. 
 .
 Synopsis provides a framework of C++ and Python APIs to access these
 representations and allows Processor objects to be defined and
 composed into processing pipelines, making this framework very
 flexible and extensible. 
 .
 This package contains the runtime library for Synopsis.

Package: libsynopsis0.12-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libsynopsis0.12v5 (= ${binary:Version})
Description: runtime library for Synopsis (development files)
 Synopsis is a multi-language source code introspection tool that
 provides a variety of representations for the parsed code to enable
 further processing such as documentation extraction, reverse
 engineering, and source-to-source translation. 
 .
 Synopsis provides a framework of C++ and Python APIs to access these
 representations and allows Processor objects to be defined and
 composed into processing pipelines, making this framework very
 flexible and extensible. 
 .
 This package contains the development files for the Synopsis runtime
 library.
