=== debian/watch ===
version=3
http://synopsis.fresco.org/download/synopsis-([\d.]+)\.tar\.gz
